PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_slaed4 | ( | int | n,
|  | int | K,
|  | float * | D,
|  | float | beta,
|  | float * | Q,
|  | int | LDQ,
|  | const float * | D0,
|  | const float * | Z,
|  | const int * | INDX,
|  | int | start,
|  | int | end
| ) |  |

CORE_slaed4 - solve the secular equation for indexes between start and end

Parameters

  [in] | n | n specifies the dimension of the symmetric tridiagonal matrix
  [in] | K | K specifies the number of non-deflated eigenvalues
  [in,out] | D | On entry, D contains the eigenvalues of the two submatrices to be merged. On exit, D contains the updated eigenvalues sorted into increasing order.
  [in] | beta | beta_bis[0] specifies the rank-1 approximation that was used for splitting the problem into two subproblems.
  [in,out] | Q | On exit, Q contains the updated eigenvectors
  [in] | LDQ | LDQ specifies the leading direction of Q
  [in] | D0 | On entry, D0 conatins the original sorted eigenvalues.
  [in] | Z | Z contains the components of the updating vectors.
  [out] | INDX | The permutation used to sort the contents of DLAMBDA into ascending order
  [in] | start | start specifies the first column index to be considered by this kernel 0 <= start <= end
  [in] | end | end specifies the last column index to be considered by this kernel start <= end <= n

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value